<div class="container">
    <div class="row">
        <div  class="col-10">
        </div>
        <div  class="col-2">
            <button class="btn btn-success btn-block" (click)="irInicio()">
                Inicio
            </button>
        </div>
        <br>
        <br>
        <br>
    </div>
    <div class="row">
      
            <div  class="col-6">
                <div class="card">
                <div class="card-body">

                    <div class="col-12">
                        <div style="text-align: center;">
                            <h2>Crear</h2>
                            <h4>Ingrese datos de agente</h4>
                            <br>
                            <br>
                        </div>
                      </div>
                
                     
                
                
                            <div *ngIf ="usuarioError == true" class="alert alert-danger" role="alert">
                                Faltan datos para completar el registro.
                              </div>


                <form class="was-validated">
                    <div class="form-group">
                        <label><h5>Id Usuario</h5></label>
                        <label class="sr-only" for="validationServerNombre">Id</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-user"></i>
                                </div>
                            </div>
                            <input type="text" name="nombre" id="validationServerNombre" [(ngModel)]="usuario.id"
                                placeholder="id" class="form-control  is-invalid"
                                aria-describedby="inputGroupPrepend3" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <label><h5>Nombre</h5></label>
                        <label class="sr-only" for="validationServerNombre">Nombre</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-user"></i>
                                </div>
                            </div>
                            <input type="text" name="nombre" id="validationServerNombre" [(ngModel)]="usuario.firstName"
                                placeholder="Nombre" class="form-control  is-invalid"
                                aria-describedby="inputGroupPrepend3" required>
                        </div>
                    </div>

                    <div class="form-group">
                        <label><h5>Apellido</h5></label>
                        <label class="sr-only" for="validationServerNickname">Apellido</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fab fa-megaport"></i>
                                </div>
                            </div>
                            <input type="text" name="apellido" id="validationServerNickname" [(ngModel)]="usuario.lastName"
                                placeholder="Apellido" class="form-control  is-invalid"
                                aria-describedby="inputGroupPrepend3" required>
                        </div>
                    </div>
    
                    <!-- Password -->
                    <div class="form-group">
                        <label><h5>Contraseña</h5></label>
                        <label class="sr-only" for="validationServerPassword">Contraseña</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-key"></i>
                                </div>
                            </div>
                            <input type="password" name="pass" id="validationServerPassword" [(ngModel)]="usuario.password"
                                placeholder="Contrase&ntilde;a" class="form-control  is-invalid"
                                aria-describedby="inputGroupPrepend3" required>
                        </div>
                    </div>
    
                    <!-- retri Password -->
                    <div class="form-group">
                        <label class="sr-only" for="validationServerRPassword">Contraseña</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-key"></i>
                                </div>
                            </div>
                            <input type="password" name="rpass" id="validationServerRPassword" 
                                placeholder="Repetir Contrase&ntilde;a" class="form-control  is-invalid" #rpassw
                                aria-describedby="inputGroupPrepend3"  (blur)="verificar(rpassw)" required>
                        </div>
                    </div>
    
                    <div class="form-group">
                        <label><h5>Posicion</h5></label>
                        <label class="sr-only" for="validationServerNickname">Posicion</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fab fa-megaport"></i>
                                </div>
                            </div>
                            <input type="text" name="posicion" id="validationServerNickname" [(ngModel)]="usuario.position"
                                placeholder="posicion" class="form-control  is-invalid"
                                aria-describedby="inputGroupPrepend3" required>
                        </div>
                    </div>

                    <button class="btn btn-success btn-block" (click)="saveNewUser()">
                        Registrarte
                    </button>
                </form>
            </div>
      
            </div>
            </div>
            <div  class="col-6">
                <div class="card">
                <div class="card-body">
                    <table class="table"> 
                    
                    
                        <tbody>
                            <tr>
                                <td>Id</td>
                                <td>Nombre</td>
                                <td>Apellido</td>
                                <td>Posicion</td>
                            </tr>
                                <tr *ngFor = "let agente of lstAgentes; index as i;">
                                    <td>{{agente.id}}</td>
                                    <td>{{agente.firstName}}</td>
                                    <td>{{agente.lastName}}</td>
                                    <td>{{agente.position}}</td>
                                </tr>
                        
                        </tbody>  
                    </table>
            </div>
      
            </div>
            </div>
  
    </div>
  </div>